<tourex:pagecode name="SceneryReviews(10)"/>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title>{$Dr("S_Name")$}印象 - {$Dr("S_Name")$}旅游点评 - {$Dr("S_Name")$}怎么样 - {$WebSet.Name$}</title>
<meta name="keywords" content="{$Dr("S_Name")$}旅游点评,{$Dr("S_Name")$}印象,游客对{$Dr("S_Name")$}评价,{$Dr("S_Name")$}怎么样">
<meta name="description" content="{$WebSet.Name$}为您提供去过{$Dr("S_Name")$}游客的真实点评，为您的{$Dr("S_Name")$}旅行提供有价值的参考。您可以在{$WebSet.Name$}预订{$Dr("S_Name")$}打折门票，游玩后发表点评，还可获得点评{$WebSet.BonusName$}。">
<link  type="text/css" rel="Stylesheet" href="{$WebPath$}Css/Style.css"/>
<link  type="text/css" rel="Stylesheet" href="{$WebPath$}Css/Scenery.css"/>
<script type="text/javascript" src="{$WebPath$}Sys/Js/jquery.js"></script>
<script type="text/javascript" src="{$WebPath$}Sys/Js/AlertWindow.js"></script>
<script type="text/javascript" src="{$WebPath$}Sys/Js/jquery.cycle.all.min.js"></script>
<tourex:mytag name="default_head"/>
<script language="javascript">
document.getElementById('index').className='sk2';
document.getElementById('scenery').className='sk1';
</script>
<tourex:mytag name="default_scenery_subnav"/>
<ul class="path">
<li>当前位置</li>
<li><a href="/">首页</a></li>
<li><a href="{$WebPath$}Scenery/">{$WebSet.LocalName$}景点门票</a></li>
<li><a href="{$WebPath$}Scenery/List.aspx?Cid={$CId$}">{$CName$}景点门票</a></li>
<li class="none">{$Dr("S_Name")$}点评</li>
</ul>
<div class="box">
    <div class="sL710">
		<tourex:mytag name="default_scenery_description"/>
		<ul class="sNav">
			<li><a href="{$WebPath$}Scenery/Show.aspx?id={$ThisId$}">概括/门票</a></li>
			<li><a href="{$WebPath$}Scenery/Pic.aspx?id={$ThisId$}">景点图片</a></li>
            <li><a href="{$WebPath$}Scenery/Video.aspx?id={$ThisID$}">景点视频</a></li>
			<li><a href="{$WebPath$}Scenery/Map.aspx?id={$ThisId$}">景点地图</a></li>
			<li class="yes"><a href="#">网友点评</a></li>
			<li class="none"><a href="{$WebPath$}Scenery/Questions.aspx?id={$ThisId$}">景点咨询</a></li>
		</ul>
		<div class="sContents" style="padding-bottom:10px;">
		<div class="sReviewsTit"><span><a href="{$WebPath$}UserCenter/SceneryOrderList.aspx?Status=3">我预定过，要点评>></a></span>客人满意度：{$IIF(Dr("S_Reviewss")=0,100,(Dr("S_HaoPing")+Dr("S_ZhongPing"))/Dr("S_Reviewss")*100)$}%  [{$Dr("S_HaoPing")$}个好评,{$Dr("S_ZhongPing")$}个中评,{$Dr("S_ChaPing")$}个差评]</div>
		<%
		If RecordCount>0 Then
			While Dr1.Read
			%>
			<div class="sReviews">
				<div class="sReviewsL"><span>{$Dr1("O_BonusCount")$}</span>{$WebSet.BonusUnits$}</div>
				<div class="sReviewsR">
					<div class="titex">{$Dr1("U_Name")$} 于 {$CDate(Dr1("O_R_Date")).ToString("yyyy年MM月dd日")$} 对 <a href="{$WebPath$}Scenery/Booking.aspx?id={$Dr1("O_TicketsId")$}">{$Dr1("T_Name")$}</a> 发表　<b>{$SceneryReviewsStatus(Dr1("O_R_Count"))$}</b><br /><span>{$Dr1("O_R_Text")$}</span></div>
					<ul class="impression">
						<tourex:category type="批量" name="SceneryImpression" id="{$Dr1("O_R_Impression")$}"><li>{${@t_name@}$}</li></tourex:category>
					</ul>
					<tourex:datalist sql="select P_Pic,P_Title,P_Date From [{$TablePrefix$}SceneryPic] Where P_O_Id={$Dr1("O_Id")$} And P_Mark=1 Order By P_OrderId,P_ID Desc">
					<Header>
					<div class="picText">共拍摄<b>{$Dr1("O_R_Pics")$}</b>张图片,获得图片点评{$WebSet.BonusName$}<b>{$Dr1("O_R_PicBonusCount")$}</b>{$WebSet.BonusUnits$}</div>
					<ul class="pic">					
					</Header>
					<item>
						<li date="{${@P_Date@}$}"><img src="{$UpFolder$}{$FormatPic({@P_Pic@},"a")$}" width="80" height="60" alt="{${@P_Title@}$}" /></li>
					</item>
					<Footer></ul></Footer>
					</tourex:datalist>
				</div>
			</div>
			<%
			End While
			Dr1.Close()
		Else
			TourExStr.AppendLine("<li>暂无</li>")
		End If
		%>
		<tourex:mytag name="page"/>
		</div>
	</div>
    <tourex:mytag name="default_scenery_right"/>
	<div class="clearit"></div>
</div>
<div class="picsPop" id="promptWindow"></div>
<script>
(function(){
	$('.impression').each(function(){
		if($(this).find('li').length!=0)
		{
			$(this).prepend('<li class="t0">客户印象：</li>');
			$(this).find('li').each(function(i){
				$(this).addClass('t'+(i+1));
			});
		}
	});
})();

var pic=$('li[date]');
$(function(){
	pic.each(function(i){ 
		$(this).click(function(){
			ShowPic(i);
			ShowWindow();
		});
	});
});
function ShowPic(o)
{
	var p=$(pic[o]).find('img');
	var P=p.attr('src'),T=p.attr('alt'),D=$(pic[o]).attr('date');
	var maxW=800,maxH=600;
	var H,W,img = new Image();//构造JS的Image对象
	P=P.substring(0,P.lastIndexOf('/')+1) + P.substring(P.lastIndexOf('/') + 2);
	if($.browser.msie)
	{
		img.onreadystatechange = function(){imghtml();};
	}else{
		img.onload = function(){imghtml();};
	}
	img.src = P;//将本地图片赋给image对象
	function imghtml()
	{
		var tmp='<div style="position:relative;"><img id="img1" src="'+P+'"';
		if(img.width>maxW){if(img.height*(maxW/img.width)>maxH){tmp+=' height="'+maxH+'"';}else{tmp+=' width="'+maxW+'"';}}else if(img.height>maxH){tmp+=' height="'+maxH+'"';}
		$('#promptWindow').html(tmp+' /><div class="back" title="点击查看上一张" style="CURSOR:url({$WebPath$}Images/back.cur);"></div><div class="next" title="点击查看下一张" style="CURSOR:url({$WebPath$}Images/next.cur);"></div></div><div class="title"><div class="titleL">{$Dr("S_Name")$} '+T+'<em>上传日期：'+D+'</em></div><div class="titleR" onclick="HideWindow();" title="Close">关闭</div></div>');
		$('.back').css("opacity",0).click(function(){if(o==0){alert('以到第一张!');}else{ShowPic(o-1);}});
		$('.next').css("opacity",0).click(function(){if(pic.length>o){alert('以到最后张!');}else{ShowPic(o+1);}});
		$('#promptWindow').width(img.width);
	}
}
</script>
<%
Dr = NoThing
%>
<tourex:mytag name="default_foot"/>